import * as AST from "../ast";

export interface ISelectStatementOptions {
  arguments: AST.SelectArgument[];
  from?: AST.FromTarget | null;
  where?: AST.Expr | null;
}

export class SelectStatement {
  public arguments: AST.SelectArgument[];
  public from: AST.FromTarget | null;
  public where: AST.Expr | null;

  constructor(opts: ISelectStatementOptions) {
    this.arguments = opts.arguments;
    this.from = opts.from ? opts.from : null;
    this.where = opts.where ? opts.where : null;
  }
}
